> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Intel Request

export const name_0 = "Flare CTI"

<Info>
  Access to {name_0} is required for this feature.
  Please contact your Customer Success Manager for more details.
</Info>

## Guides

See the guide for using this endpoint:
[Generate a Threat Flow Report <Icon icon="book" size={16} />](/guides/threat-flow-report).


## OpenAPI

````yaml firework-v4-openapi post /firework/v4/threat_flow/intel/requests
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/threat_flow/intel/requests:
    post:
      tags:
        - public
      summary: Create Intel Request
      operationId: create_intel_request_threat_flow_intel_requests_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateIntelRequestPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateIntelRequestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateIntelRequestPayload:
      properties:
        question:
          type: string
          title: Question
        tone:
          $ref: '#/components/schemas/IntelTone'
          default: analytical
      type: object
      required:
        - question
      title: CreateIntelRequestPayload
    CreateIntelRequestResponse:
      properties:
        request_id:
          type: string
          format: uuid
          title: Request Id
      type: object
      required:
        - request_id
      title: CreateIntelRequestResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IntelTone:
      type: string
      enum:
        - executive
        - analytical
      title: IntelTone
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````